Bug 67035 - initial setup insecure - /etc/hosts.[allow,deny]
initial setup insecure - /etc/hosts.[allow,deny]
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-19 12:44 EDT by keith adamson
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-19 12:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description keith adamson 2002-06-19 12:44:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
initial setup insecure - /etc/hosts.[allow,deny]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RedHat Linux

Actual Results:  Insecure setup

Expected Results:  Secure setup

Additional info:

I emailed rhn-feedback@rhn.redhat.com
concerning RHSA-2002:089-07 LPRng-3.7.4-23.1.alpha.rpm;

> Very good change (I've had to do manually)
> While your at it you also may want to fix;
>     /etc/hosts.deny by adding;
>         ALL: ALL
>     /etc/hosts.allow by adding;
>         ALL:
> for a Workstation config.
> Reason is because you turn on portmap, xinetd, fam, nfslock for a
> Workstation config.
> You may also want to add to /etc/xinetd.d/sgi_fam
>     only_from   =
> BTW why is sendmail turned on for a Workstation config?
> I always have to turn it off manually after install.

Your response was;

> You can make comments on our packaging (bugs,
> ommissions, dumb setup, feature requests, etc.) at
>   http://bugzilla.redhat.com/bugzilla
> Thank you,
> Dave Cook
> RHN Team

So here you go.
Comment 1 Florian La Roche 2002-06-21 13:18:46 EDT
I think we only should use ipchains to secure services via anaconda during
installation, but leave tcp_wrapper away from this.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.